Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(85)

Issue 114293002: Adding support for launching firefox from webrtc.DEPS. (Closed)

Created:
5 years, 12 months ago by phoglund_chromium
Modified:
5 years, 11 months ago
CC:
chromium-reviews
Visibility:
Public.

Description

Adding support for launching firefox from webrtc.DEPS. This is required for the firefox interop test being added in https://codereview.chromium.org/111383003/. This is only intended to work for Linux for now. We will need some light redesign to get this to work on Windows as well. R=kjellander@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=240895

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Total comments: 14

Patch Set 6 : #

Patch Set 7 : #

Patch Set 8 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+159 lines, -0 lines) Patch
M DEPS View 1 2 3 4 5 6 7 2 chunks +20 lines, -0 lines 0 comments Download
A download_firefox_nightly.py View 1 2 3 4 5 6 1 chunk +79 lines, -0 lines 0 comments Download
A run_firefox_webrtc.py View 1 2 3 4 5 1 chunk +60 lines, -0 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
kjellander_chromium
drive-by before you publish :) I think you should put the manifestdestiny and moz* packages ...
5 years, 12 months ago (2013-12-12 18:27:47 UTC) #1
phoglund_chromium
Please review. Will make a separate patch where I check in the moz libraries in ...
5 years, 11 months ago (2013-12-13 15:17:55 UTC) #2
kjellander_chromium
https://codereview.chromium.org/114293002/diff/80001/DEPS File DEPS (right): https://codereview.chromium.org/114293002/diff/80001/DEPS#newcode14 DEPS:14: "/trunk/deps/third_party/mozdownload", I suggest you setup pinned revisions for these ...
5 years, 11 months ago (2013-12-16 12:59:04 UTC) #3
phoglund_chromium
https://codereview.chromium.org/114293002/diff/80001/DEPS File DEPS (right): https://codereview.chromium.org/114293002/diff/80001/DEPS#newcode14 DEPS:14: "/trunk/deps/third_party/mozdownload", On 2013/12/16 12:59:04, Henrik Kjellander wrote: > I ...
5 years, 11 months ago (2013-12-16 14:38:45 UTC) #4
kjellander_chromium
lgtm assuming you change to the DEPS-pinned revisions for the Mozilla dependencies before committing.
5 years, 11 months ago (2013-12-16 14:45:38 UTC) #5
phoglund_chromium
Pinned revisions + tested that it still works. Added mozprofile which I forgot.
5 years, 11 months ago (2013-12-16 15:11:57 UTC) #6
phoglund_chromium
5 years, 11 months ago (2013-12-16 15:12:20 UTC) #7
Message was sent while issue was closed.
Committed patchset #8 manually as r240895 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698